﻿@model CancelSubscriptionOrderViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref="OrderItem({seasonDomain:MC.stateParams.seasonDomain,orderItemId: MC.stateParams.orderId})">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Cancel

            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                <div class="avatar-box">
                    <i ng-class="{'jbi-user-male':Model.Gender == 'Male', 'jbi-user-female': Model.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
                </div>
                <div class="info-box">
                    <h2 class="name ellipsis" ng-if="Model.HasProgramSchedule==true"><span ng-bind="Model.FullName">Participant Name</span></h2>
                    <h2 class="name ellipsis" ng-if="Model.HasProgramSchedule==false"><span ng-bind="Model.Name">Participant Name</span></h2>
                    <p class="desc">{{Model.Gender}} <span ng-if="Model.Age != 0">| {{Model.Age}} </span> <span ng-if="Model.Grade">| Grade {{Model.Grade}}</span></p>
                </div>
            </div>
        </div>
      <div class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-half">
                <b>Confirmation</b>
                <i ng-bind="(Model.ConfirmationId)"></i>
            </div>
            <div class="place-left one-half" ng-class="{ 'fg-green' : Model.Balance < 0 , 'fg-red' : Model.Balance > 0}">
                <b>Balance</b>
                <i class="balance" ng-bind="(Model.Balance).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>

    <div class="clearfix"></div>
    <hr />

    <div class="right-box">
        <div class="clearfix">
            <div class="margin-right10">

                <table class="table">
                    <colgroup>
                        <col style="font-weight: bold;width: 80%;">
                        <col style="width: 20%;">
                    </colgroup>
                    <tfoot>
                        <tr>
                            <td class="text-bold">Total</td>
                            <td class="text-bold">{{(Model.TotalAmount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                        <tr>
                            <td class="text-bold">Paid amount</td>
                            <td class="text-bold">{{(Model.PaidAmount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <tr>
                            <td ng-bind="Model.ProgramName" class="text-bold"></td>
                            <td class="text-bold">
                                {{(Model.SourceEntryFee).formatCurrencyWithPenny(2)}}
                            </td>
                        </tr>
                        <tr class="charge" ng-repeat="charge in Model.SourceCharges">
                            <td>{{charge.Name}} <span class="label info">Service</span></td>
                            <td>{{(charge.Amount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                        <tr class="discount" ng-repeat="discount in Model.SourceDiscounts">
                            <td>{{discount.Name}} <span class="label success">Discount</span></td>
                            <td>{{(discount.Amount).formatCurrencyWithPenny(2)}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>

    <div>
        <hr />
        <table class="table">
            <colgroup>
                <col />
                <col width="280" />
                <col width="400" />
            </colgroup>
            <thead>
                <tr>
                    <th class="text-left">Schedule dates</th>
                    <th class="text-left" ng-if="Model.PaymentPlan != 'FullPaid'">Payment due</th>
                    <th class="text-left" ng-if="Model.PaymentPlan != 'FullPaid'">Amount</th>
                    <th class="text-left" ng-if="Model.PaymentPlan != 'FullPaid'">Paid amount</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="subscriptionItem in Model.ItemSchedules">
                    <td>
                        <span>{{formatDate(subscriptionItem.StartDate)}} - {{formatDate(subscriptionItem.EndDate)}} </span>
                    </td>
                    <td ng-if="Model.PaymentPlan != 'FullPaid'">
                        <span>{{formatDate(subscriptionItem.PaymentDueDate)}}</span>

                    </td>
                    <td ng-if="Model.PaymentPlan != 'FullPaid'">
                        <span>{{subscriptionItem.Amount.formatCurrencyWithPenny(2)}}</span>

                    </td>
                    <td ng-if="Model.PaymentPlan != 'FullPaid'">
                        <span ng-if="subscriptionItem.PaidAmount > 0">{{subscriptionItem.PaidAmount.formatCurrencyWithPenny(2)}}</span>
                        <span ng-if="subscriptionItem.PaidAmount == 0">-</span>
                    </td>
                    <td ng-if="Model.PaymentPlan != 'FullPaid'"></td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="clearfix"></div>
    <hr />

    <fieldset>
        <div class="row">
            <div class="span6">
                <div class="row">
                    <div class="span12">
                        <div style="display:table-cell;text-align:right;font-size:14px">
                            <span class="text-bold">
                                Desired start date:
                            </span>
                        </div>
                        <div style="display:table-cell">
                            <div class="input-control text">
                                <label style="margin-left:10px;">{{Model.StrDesiredStartDate}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </fieldset>


    <div class="one-half place-left">
        <label class="req-star">Effective date</label>
        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EffectiveDate)>
            <div @Html.AngTooltipValidationFor(model => model.EffectiveDate)>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.EffectiveDate" />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <div class="clearfix">
        <label style="font-size:initial;">Do you want to charge a cancellation fee?</label>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                <label class="block">
                    <input type="radio" ng-model="Model.ShowCancellationFeeBox" ng-click="DisplayeCancellationFeeBox(true)" ng-value="true">
                    <span class="check"></span>
                    Yes
                </label>
            </div>
            <br />
        </div>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin " data-role="input-control">
                <label class="block">
                    <input type="radio" ng-model="Model.ShowCancellationFeeBox" ng-click="DisplayeCancellationFeeBox(false)" ng-value="false">
                    <span class="check"></span>
                    No
                </label>
            </div>
            <br />
        </div>
        <div class="clearfix"></div>
        <label ng-show="Model.ShowCancellationFeeBox">Cancellation fee</label>
        <div ng-show="Model.ShowCancellationFeeBox" class="input-control text" data-role="input-control">
            <input ng-model="Model.CancellationFee" name="RefundFee" type="number" />
        </div>
        <div class="clearfix"></div>
        <label>Memo</label>
        <div class="input-control text" data-role="input-control">
            <input ng-model="Model.CancelMemo" name="Model.CancelEditMemo" type="text" />
        </div>
    </div>


    <hr />
    <div class="clearfix">
        <button type="button" class="link place-left large button" ui-sref="OrderItem({seasonDomain:MC.stateParams.seasonDomain,orderItemId: MC.stateParams.orderId})">Back</button>
        <button class="success place-right large button" ng-click="Continue()">Continue</button>

        <div class="clearfix"></div>
    </div>
  </div>
